<template>
  <div class="form-check form-switch">
    <input
      v-bind="$attrs"
      :id="props.id"
      v-model="value"
      :value="1"
      :unchecked-value="0"
      class="form-check-input"
      type="checkbox"
      role="switch"
    />
    <label class="form-check-label" :for="props.id">
      {{ label }}
    </label>
  </div>
</template>

<script>
export default {
  inheritAttrs: false,
};
</script>

<script setup>
import { computed } from "vue";
const emit = defineEmits(["update:modelValue", "change"]);

const props = defineProps({
  id: {
    type: String,
    required: false,
  },
  label: {
    type: String,
    required: false,
  },
  modelValue: {
    type: [Boolean],
    required: false,
  },
});

const value = computed({
  get() {
    return props.modelValue;
  },
  set(event) {
    emit("update:modelValue", event);
    emit("change", event);
  },
});
</script>

<style></style>
